from vkk.generic.views import (
    CustomDetailView, CustomCreateView, CustomUpdateView,
    CustomDeleteView, CustomSuccessView, CustomListView,
    CustomFilterView,
)
from django.views.generic import TemplateView
from .mixins import AccountantRequiredMixin

class AccountingDetailView(AccountantRequiredMixin, CustomDetailView):
    pass

class AccountingCreateView(AccountantRequiredMixin, CustomCreateView):
    pass

class AccountingUpdateView(AccountantRequiredMixin, CustomUpdateView):
    pass

class AccountingDeleteView(AccountantRequiredMixin, CustomDeleteView):
    pass

class AccountingListView(AccountantRequiredMixin, CustomListView):
    pass

class AccountingFilterView(AccountantRequiredMixin, CustomFilterView):
    pass

class AccountingSuccessView(AccountantRequiredMixin, CustomSuccessView):
    pass

class AccountingOverView(AccountantRequiredMixin, TemplateView):
    template_name = 'vkk/workhours/accounting/overview.html'
