from vkk.models import Department

departments = [
    ("AG Versorgungsforschung,", 731011),
    ("Bereich Arbeitsmedizin", 722030),
    ("Institut für Anatomie und Zellbiologie", 770320),
    ("Institut für Allgemeinmedizin", 770371),
    ("Institut für Geschichte und Ethik der Medizin", 770380),
    ("Institut für Gesundheits- und Pflegewissenschaft", 770387),
    ("Institut für Humangenetik und Medizinische Biologie", 770340),
    ("Institut für Hygiene", 770360),
    ("Institut für Klinische Epidemiologie", 770368),
    ("Institut für Medizinische Epidemiologie, Biometrie und Informatik", 770365),
    ("Institut für Medizinische Immunologie", 760499),
    ("Institut für Medizinische Mikrobiologie", 760299),
    ("Institut für Medizinische Soziologie", 770367),
    ("Institut für Molekulare Medizin", 770350),
    ("Institut für Pathologie", 760399),
    ("Institut für Pharmakologie und Toxikologie", 770345),
    ("Institut für Physiologische Chemie", 770330),
    ("Institut für Rechtsmedizin", 770335),
    ("Institut für Rehabilitationsmedizin", 770452),
    ("Institut für Umwelttoxikologie", 770383),
    ("Julius-Bernstein-Institut für Physiologie", 770325),
    ("Koordinierungszentrum für Klinische Studien", 770520),
    ("Krukenberg Krebszentrum Halle", 770401),
    ("SkillsLab", 770314),
    ("Universitätsklinik für Anästhesiologie und operative Intensivmedizin", 743099),
    ("Universitätsklinik und Poliklinik für Viszerale, Gefäß- und Endokrine Chirurgie", 732199),
    ("Universitätsklinik und Poliklinik für Altersmedizin", 746099),
    ("Universitätsklinik und Poliklinik für Augenheilkunde", 734099),
    ("Universitätsklinik und Poliklinik für Dermatologie und Venerologie", 736099),
    ("Universitätsklinik und Poliklinik für Diagnostische Radiologie", 742199),
    ("Universitätsklinik und Poliklinik für Geburtshilfe und Reproduktionsmedizin", 738299),
    ("Universitätsklinik und Poliklinik für Gynäkologie", 738199),
    ("Universitätsklinik und Poliklinik für Hals-, Nasen- und Ohrenheilkunde, Kopf- und Halschirurgie", 735099),
    ("Universitätsklinik und Poliklinik für Herzchirurgie", 732399),
    ("Universitätsklinik und Poliklinik für Innere Medizin I", 731199),
    ("Universitätsklinik und Poliklinik für Innere Medizin II", 731299),
    ("Universitätsklinik und Poliklinik für Innere Medizin III", 731399),
    ("Universitätsklinik und Poliklinik für Innere Medizin IV", 731599),
    ("Universitätsklinik und Poliklinik für Kinder- und Jugendmedizin", 737199),
    ("Universitätsklinik und Poliklinik für Kinderchirurgie", 732499),
    ("Universitätsklinik und Poliklinik für Mund-, Kiefer- und Plastische Gesichtschirurgie", 741199),
    ("Universitätsklinik und Poliklinik für Neurochirurgie", 733199),
    ("Universitätsklinik und Poliklinik für Neurologie", 744199),
    ("Universitätsklinik und Poliklinik für Nuklearmedizin", 742299),
    ("Universitätsklinik und Poliklinik für Orthopädie und Physikalische Medizin", 733399),
    ("Universitätsklinik und Poliklinik für Pädiatrische Kardiologie", 737299),
    ("Universitätsklinik und Poliklinik für Psychiatrie, Psychotherapie und Psychosomatik", 739199),
    ("Universitätsklinik und Poliklinik für Strahlentherapie", 732399),
    ("Universitätsklinik und Poliklinik für Unfall- und Wiederherstellungschirurgie", 732299),
    ("Universitätsklinik und Poliklinik für Urologie", 733299),
    ("Universitätspoliklinik für Kieferorthopädie", 741599),
    ("Universitätspoliklinik für Zahnärztliche Prothetik", 741499),
    ("Universitätspoliklinik für Zahnerhaltungskunde und Parodontologie", 741299),
    ("Zentrum für Reproduktionsmedizin und Andrologie", 738399),
]

changed = []
unchanged = []

for (x, y) in departments:
	if len(Department.objects.filter(name=x)) == 1:
		department = Department.objects.get(name=x)
		department.invoice_number = y
		changed.append(department)
	else:
		unchanged.append(x)

Department.objects.bulk_update(changed, ['invoice_number'])
