from django.urls import path
from django.utils.translation import gettext_lazy as _
from .views import MailingListView, MailingListSuccessView, MailingListFailedView

app_name = 'mailing_list'
urlpatterns = [
    path(_('send/'), MailingListView.as_view(), name='default'),
    path(
        _('send/success/'),
        MailingListSuccessView.as_view(),
        name='success'
    ),
    path(
        _('send/failed/'),
        MailingListFailedView.as_view(),
        name='failed'
    ),
]
