from django.urls import include, path
from django.utils.translation import gettext_lazy as _
from vkk.workhours.accounting.views import AccountingOverView

app_name='export'
urlpatterns = [
    path(
        _('overview/'),
        AccountingOverView.as_view(
            template_name='vkk/workhours/accounting/projects/project/export/overview.html'
        ),
        name='overview',
    ),
    path(_('funded_staff/'), include('vkk.workhours.accounting.projects.project.export.funded_staff.urls')),
    path(_('receipts/'), include('vkk.workhours.accounting.projects.project.export.receipts.urls')),
]
